%define	major 0
%define libname	%mklibname nfsidmap %{major}

Summary:	Library to help mapping id's, mainly for NFSv4
Name:		libnfsidmap
Version:	0.25
Release:	%mkrel 3
License:	BSD-like
Group:		System/Libraries
URL:		http://www.citi.umich.edu/projects/nfsv4/linux/
Source0:	http://www.citi.umich.edu/projects/nfsv4/linux/libnfsidmap/libnfsidmap-%{version}.tar.gz
BuildRequires:	openldap-devel
BuildRequires:	openssl-devel
BuildRequires:	pkgconfig

%description
libnfsidmap is a library holding mulitiple methods of mapping
names to id's and visa versa, mainly for NFSv4. 

When NFSv4 is using AUTH_GSS (which currently only supports
Kerberos v5), the NFSv4 server mapping functions MUST use
secure communications.

%package	doc
Summary:	Documentation man page for idmapd.conf
Group:		System/Libraries
BuildArch:	noarch
Conflicts:	libnfsidmap0 < 0.25-2
Conflicts:	lib64nfsidmap0 < 0.25-2

%description	doc
libnfsidmap is a library holding mulitiple methods of mapping
names to id's and visa versa, mainly for NFSv4. 

This package contains the documentation man page for idmapd.conf.

%package -n	%{libname}
Summary:	Library to help mapping id's, mainly for NFSv4
Group:		System/Libraries
Provides:	libnfsidmap = %{version}-%{release}
Provides:	nfsidmap = %{version}-%{release}
Suggests:	%{name}-doc

%description -n	%{libname}
libnfsidmap is a library holding mulitiple methods of mapping
names to id's and visa versa, mainly for NFSv4. 

When NFSv4 is using AUTH_GSS (which currently only supports
Kerberos v5), the NFSv4 server mapping functions MUST use
secure communications.

%package -n	%{libname}-devel
Summary:	Static library and header files for the nfsidmap library
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	libnfsidmap-devel = %{version}-%{release}
Provides:	nfsidmap-devel  = %{version}-%{release}
Conflicts:	libnfsidmap0 < 0.25-2
Conflicts:	lib64nfsidmap0 < 0.25-2

%description -n	%{libname}-devel
libnfsidmap is a library holding mulitiple methods of mapping
names to id's and visa versa, mainly for NFSv4. 

When NFSv4 is using AUTH_GSS (which currently only supports
Kerberos v5), the NFSv4 server mapping functions MUST use
secure communications.

This package contains the static libnfsidmap library and its
header files.

%prep
%setup -q -n %{name}-%{version}

%build
%configure2_5x --with-pluginpath=%{_libdir}/libnfsidmap%{major}
%make

%install
rm -rf %{buildroot}
%makeinstall_std
rm -f %{buildroot}%{_libdir}/*.la %{buildroot}%{_libdir}/*/*.la

# to have %major in the plugin path - Anssi 12/2011
mv %{buildroot}%{_libdir}/%{name}{,%major}

%files doc
%doc AUTHORS COPYING README
%{_mandir}/man5/*

%files -n %{libname} 
%doc AUTHORS COPYING
%{_libdir}/%{name}.so.%{major}*
%{_libdir}/%{name}%{major}

%files -n %{libname}-devel
%doc AUTHORS ChangeLog COPYING README
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/pkgconfig/libnfsidmap.pc
%{_mandir}/man3/*


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 0.25-3.mga3
+ Revision: 357855
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 27 2011 anssi <anssi> 0.25-2.mga2
+ Revision: 188273
- drop _disable_ld_no_undefined workaround, not needed with this package
- split configuration man page from library pkg to libnfsidmap-doc
- move development man page to -devel subpkg
- versionize provides
- move plugins to a versioned directory to ensure proper libification
- use parallel make
- fix plugin search path on x86_64 (fixes mgabz #3679)

* Fri Dec 09 2011 guillomovitch <guillomovitch> 0.25-1.mga2
+ Revision: 179497
- new version

* Tue Feb 08 2011 ennael <ennael> 0.24-1.mga1
+ Revision: 49180
- remove mdkversion
- imported package libnfsidmap

